tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Mac OS X Snow Leopard and "imake"


packages requiring "imake" can still not be built under Mac OS X 10.6,
Snow Leopard. The problem is caused by the fact that 10.6 provides in the base system but doesn't provide "imake":

===> Configuring for tightvncviewer-1.3.10nb2
=> Checking for portability problems in extracted files
imake -DUseInstalled -I/usr/pkg/lib/X11/config -I/usr/X11/lib/X11/config
/tmp/objdir/net/tightvncviewer/work.excalibur/.tools/bin/imake: line 5: 
/usr/X11/bin/imake: No such file or directory
*** Error code 127

Manually installing "imake" will fix the problem but is not a good
solution. I'm especially wondering how to make sure that "imake"
gets installed before "pkgsrc/mk/buildlink3/" is used.

Any advise would be very welcome.

        Kind regards

Matthias Scheler                        

Home | Main Index | Thread Index | Old Index